# zoom_type.h File Reference

Types related to zooming in and out. More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Typedefs
typedef SimpleTinyEnumT < ZoomLevel, byte > | ZoomLevelByte
## Enumerations
enum | ZoomLevel { ZOOM_LVL_BEGIN = 0, ZOOM_LVL_IN_4X = 0, ZOOM_LVL_IN_2X, ZOOM_LVL_NORMAL, ZOOM_LVL_OUT_2X, ZOOM_LVL_OUT_4X, ZOOM_LVL_OUT_8X, ZOOM_LVL_END, ZOOM_LVL_COUNT = ZOOM_LVL_END - ZOOM_LVL_BEGIN, ZOOM_LVL_VIEWPORT = ZOOM_LVL_NORMAL, ZOOM_LVL_NEWS = ZOOM_LVL_NORMAL, ZOOM_LVL_INDUSTRY = ZOOM_LVL_OUT_2X, ZOOM_LVL_TOWN = ZOOM_LVL_OUT_2X, ZOOM_LVL_AIRCRAFT = ZOOM_LVL_NORMAL, ZOOM_LVL_SHIP = ZOOM_LVL_NORMAL, ZOOM_LVL_TRAIN = ZOOM_LVL_NORMAL, ZOOM_LVL_ROADVEH = ZOOM_LVL_NORMAL, ZOOM_LVL_WORLD_SCREENSHOT = ZOOM_LVL_NORMAL, ZOOM_LVL_DETAIL = ZOOM_LVL_OUT_2X, ZOOM_LVL_MIN = ZOOM_LVL_BEGIN, ZOOM_LVL_MAX = ZOOM_LVL_OUT_8X }

## Detailed Description

Types related to zooming in and out.

Definition in file zoom_type.h.

## Enumeration Type Documentation

enum ZoomLevel

Enumerator:

  ZOOM_LVL_DETAIL | All zoomlevels below or equal to this, will result in details on the screen, like road-work, ...

Definition at line 17 of file zoom_type.h.